> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.12/rest-api/knowledge-base/download-document.md).

# Download document

Get/download document content

## Request <a href="#request" id="request"></a>

### Url

```
GET 
https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/signed-url
```

### Headers

<pre><code><strong>AUTH
</strong>Bearer "eyJ0eXAiOiJKV1QiLCJub25jZSI6IndUZXphSTNjdTNVYj..."
</code></pre>

### Parameters

```
No parameters are required for this endpoint.
```

### Body

```
No body required for this endpoint.
```

***

## Response&#x20;

```json
https://wilson.40mat.com/67a48fa.../knowledge-base/683429f74d9...?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=v5I8f6Hgvi43gdAcebk0%2F20250526%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20250516T1428...-Amz-Expires=7200&X-Amz-SignedHeaders=host&X-Amz-Signature=04ca9f175720e0...
```

The response is in plain text and contain the direct link to get bytearray of document.

***

## Code example

{% tabs %}
{% tab title="Python" %}

```python
import requests
import json

url = "https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/signed-url"

headers = {
  'Authorization': '••••••'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```powershell
curl --location 'https://wilson.40mat.com/apif/v2/company/<company_id>/knowledge-base/<object_id>/signed-url' \
--header 'Authorization: ••••••' 
```

{% endtab %}
{% endtabs %}
